SDL_ALLOC_SIZE(3)

NAME
SDL_ALLOC_SIZE - A macro to tag a function as returning a certain allocation.

SYNOPSIS
#include <SDL3/SDL_begin_code.h>

#define SDL_ALLOC_SIZE(p) __attribute__((alloc_size(p)))

DESCRIPTION
This is a hint to the compiler that a function allocates and returns a specific amount of memory based on one of its arguments. For example, the C runtime's malloc() function could use this macro with an argument of 1 (first argument to malloc is the size of the allocation).

On compilers without alloc_size support, this is defined to nothing.

Most apps don't need to, and should not, use this directly.

AVAILABILITY
This macro is available since SDL 3.2.0.